::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------

set ciosversion=21003
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=3-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=d8018b5b0fd3d4eb1ad26cffd1728cc4
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=ea223c6cca98eae4561adcd147b0b382
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=0fc665139839a7de4c8bad64521d9101
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=123ef6aa14609811661a32b7ddb9d3d0
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=5bc00e289be7371f807cae4465c76136
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=9657e3a9cba117b0a586944b0a769b6f
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=040fac0830f0059bb4fbff5f656d5b8e
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=3befa61107a96149feabef98cf542ae5
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=7c6e365421c39b11343402ffba72791c
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=95fb9f031e82b231960cb77c60b70154
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=d7e7bb65f1ee004d11091eab009c3c3e
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=f7dd51550ae82cdd5a9ca00d332fe585
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=ffbecfe629f48a5f4a1665ffc6ebb79c
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=4d0a8ac82075f3d9c7ad33ef95c95ba5
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=a120f34a01f687c082dc13417b6315b8
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=2f6c1ee352846583d07d2ba72380dab0
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=ae8b44bc70b393332c820d05fdfdf1e4
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=f04bb7a83ccbd42eb74755c0ef5abdd9
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=35696c7436e77e69aee68c5ccc3a9587
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=aedb34270f2bfcc9dd7dd55c00582f6e
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=0771fc889c330a4c58cc3737611ef9b7
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=c7d2cf56982b3e72477449db7a60d286
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=6879db6d615b1db3d44903e02296ac9f
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=cedabe65ab2e87384252df68daee4543
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=66688dab403e6c37af6576a93d60a862
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=bdd7a77efb8fe89f58de7c0cc3c6ec1f
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=f17ac50290253400b5853e01ff73d9d6
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=c567ba94b90b645fa141fd438a5badc6
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=8c0e4a8baad072d93dc5620eb94a3467
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=c9d82c207cc1718935da553ea379b135
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=3dbee680285af3c766ec4e2b41e179c4
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=df9431739f0862ba9659913efd614e4c
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

